Index: src/gtk/ScaleButton.d
===================================================================
--- src/gtk/ScaleButton.d	(revision 843)
+++ src/gtk/ScaleButton.d	(working copy)
@@ -126,7 +126,7 @@
 		this.gtkScaleButton = gtkScaleButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkScaleButton = cast(GtkScaleButton*)obj;
Index: src/gtk/IMContextSimple.d
===================================================================
--- src/gtk/IMContextSimple.d	(revision 843)
+++ src/gtk/IMContextSimple.d	(working copy)
@@ -108,7 +108,7 @@
 		this.gtkIMContextSimple = gtkIMContextSimple;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkIMContextSimple = cast(GtkIMContextSimple*)obj;
Index: src/gtk/ButtonBox.d
===================================================================
--- src/gtk/ButtonBox.d	(revision 843)
+++ src/gtk/ButtonBox.d	(working copy)
@@ -129,7 +129,7 @@
 		this.gtkButtonBox = gtkButtonBox;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkButtonBox = cast(GtkButtonBox*)obj;
Index: src/gtk/Curve.d
===================================================================
--- src/gtk/Curve.d	(revision 843)
+++ src/gtk/Curve.d	(working copy)
@@ -116,7 +116,7 @@
 		this.gtkCurve = gtkCurve;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCurve = cast(GtkCurve*)obj;
Index: src/gtk/TearoffMenuItem.d
===================================================================
--- src/gtk/TearoffMenuItem.d	(revision 843)
+++ src/gtk/TearoffMenuItem.d	(working copy)
@@ -115,7 +115,7 @@
 		this.gtkTearoffMenuItem = gtkTearoffMenuItem;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTearoffMenuItem = cast(GtkTearoffMenuItem*)obj;
Index: src/gtk/CellRendererProgress.d
===================================================================
--- src/gtk/CellRendererProgress.d	(revision 843)
+++ src/gtk/CellRendererProgress.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gtkCellRendererProgress = gtkCellRendererProgress;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCellRendererProgress = cast(GtkCellRendererProgress*)obj;
Index: src/gtk/Range.d
===================================================================
--- src/gtk/Range.d	(revision 843)
+++ src/gtk/Range.d	(working copy)
@@ -124,7 +124,7 @@
 		this.gtkRange = gtkRange;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRange = cast(GtkRange*)obj;
Index: src/gtk/Clipboard.d
===================================================================
--- src/gtk/Clipboard.d	(revision 843)
+++ src/gtk/Clipboard.d	(working copy)
@@ -175,7 +175,7 @@
 		this.gtkClipboard = gtkClipboard;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkClipboard = cast(GtkClipboard*)obj;
Index: src/gtk/Fixed.d
===================================================================
--- src/gtk/Fixed.d	(revision 843)
+++ src/gtk/Fixed.d	(working copy)
@@ -137,7 +137,7 @@
 		this.gtkFixed = gtkFixed;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkFixed = cast(GtkFixed*)obj;
Index: src/gtk/PrintContext.d
===================================================================
--- src/gtk/PrintContext.d	(revision 843)
+++ src/gtk/PrintContext.d	(working copy)
@@ -209,7 +209,7 @@
 		this.gtkPrintContext = gtkPrintContext;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkPrintContext = cast(GtkPrintContext*)obj;
Index: src/gtk/FontButton.d
===================================================================
--- src/gtk/FontButton.d	(revision 843)
+++ src/gtk/FontButton.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gtkFontButton = gtkFontButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkFontButton = cast(GtkFontButton*)obj;
Index: src/gtk/MessageDialog.d
===================================================================
--- src/gtk/MessageDialog.d	(revision 843)
+++ src/gtk/MessageDialog.d	(working copy)
@@ -162,7 +162,7 @@
 		this.gtkMessageDialog = gtkMessageDialog;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkMessageDialog = cast(GtkMessageDialog*)obj;
Index: src/gtk/TreeSelection.d
===================================================================
--- src/gtk/TreeSelection.d	(revision 843)
+++ src/gtk/TreeSelection.d	(working copy)
@@ -150,7 +150,7 @@
 		this.gtkTreeSelection = gtkTreeSelection;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTreeSelection = cast(GtkTreeSelection*)obj;
Index: src/gtk/Statusbar.d
===================================================================
--- src/gtk/Statusbar.d	(revision 843)
+++ src/gtk/Statusbar.d	(working copy)
@@ -135,7 +135,7 @@
 		this.gtkStatusbar = gtkStatusbar;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkStatusbar = cast(GtkStatusbar*)obj;
Index: src/gtk/Bin.d
===================================================================
--- src/gtk/Bin.d	(revision 843)
+++ src/gtk/Bin.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gtkBin = gtkBin;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkBin = cast(GtkBin*)obj;
Index: src/gtk/IMContext.d
===================================================================
--- src/gtk/IMContext.d	(revision 843)
+++ src/gtk/IMContext.d	(working copy)
@@ -173,7 +173,7 @@
 		this.gtkIMContext = gtkIMContext;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkIMContext = cast(GtkIMContext*)obj;
Index: src/gtk/RecentManager.d
===================================================================
--- src/gtk/RecentManager.d	(revision 843)
+++ src/gtk/RecentManager.d	(working copy)
@@ -176,7 +176,7 @@
 		this.gtkRecentManager = gtkRecentManager;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRecentManager = cast(GtkRecentManager*)obj;
Index: src/gtk/IconTheme.d
===================================================================
--- src/gtk/IconTheme.d	(revision 843)
+++ src/gtk/IconTheme.d	(working copy)
@@ -210,7 +210,7 @@
 		this.gtkIconTheme = gtkIconTheme;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkIconTheme = cast(GtkIconTheme*)obj;
Index: src/gtk/VPaned.d
===================================================================
--- src/gtk/VPaned.d	(revision 843)
+++ src/gtk/VPaned.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gtkVPaned = gtkVPaned;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkVPaned = cast(GtkVPaned*)obj;
Index: src/gtk/Viewport.d
===================================================================
--- src/gtk/Viewport.d	(revision 843)
+++ src/gtk/Viewport.d	(working copy)
@@ -123,7 +123,7 @@
 		this.gtkViewport = gtkViewport;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkViewport = cast(GtkViewport*)obj;
Index: src/gtk/InputDialog.d
===================================================================
--- src/gtk/InputDialog.d	(revision 843)
+++ src/gtk/InputDialog.d	(working copy)
@@ -123,7 +123,7 @@
 		this.gtkInputDialog = gtkInputDialog;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkInputDialog = cast(GtkInputDialog*)obj;
Index: src/gtk/PrintUnixDialog.d
===================================================================
--- src/gtk/PrintUnixDialog.d	(revision 843)
+++ src/gtk/PrintUnixDialog.d	(working copy)
@@ -184,7 +184,7 @@
 		this.gtkPrintUnixDialog = gtkPrintUnixDialog;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkPrintUnixDialog = cast(GtkPrintUnixDialog*)obj;
Index: src/gtk/CheckMenuItem.d
===================================================================
--- src/gtk/CheckMenuItem.d	(revision 843)
+++ src/gtk/CheckMenuItem.d	(working copy)
@@ -117,7 +117,7 @@
 		this.gtkCheckMenuItem = gtkCheckMenuItem;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCheckMenuItem = cast(GtkCheckMenuItem*)obj;
Index: src/gtk/Ruler.d
===================================================================
--- src/gtk/Ruler.d	(revision 843)
+++ src/gtk/Ruler.d	(working copy)
@@ -124,7 +124,7 @@
 		this.gtkRuler = gtkRuler;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRuler = cast(GtkRuler*)obj;
Index: src/gtk/RadioButton.d
===================================================================
--- src/gtk/RadioButton.d	(revision 843)
+++ src/gtk/RadioButton.d	(working copy)
@@ -179,7 +179,7 @@
 		this.gtkRadioButton = gtkRadioButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRadioButton = cast(GtkRadioButton*)obj;
Index: src/gtk/EntryBuffer.d
===================================================================
--- src/gtk/EntryBuffer.d	(revision 843)
+++ src/gtk/EntryBuffer.d	(working copy)
@@ -117,7 +117,7 @@
 		this.gtkEntryBuffer = gtkEntryBuffer;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkEntryBuffer = cast(GtkEntryBuffer*)obj;
Index: src/gtk/EntryCompletion.d
===================================================================
--- src/gtk/EntryCompletion.d	(revision 843)
+++ src/gtk/EntryCompletion.d	(working copy)
@@ -144,7 +144,7 @@
 		this.gtkEntryCompletion = gtkEntryCompletion;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkEntryCompletion = cast(GtkEntryCompletion*)obj;
Index: src/gtk/Misc.d
===================================================================
--- src/gtk/Misc.d	(revision 843)
+++ src/gtk/Misc.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gtkMisc = gtkMisc;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkMisc = cast(GtkMisc*)obj;
Index: src/gtk/ToolPalette.d
===================================================================
--- src/gtk/ToolPalette.d	(revision 843)
+++ src/gtk/ToolPalette.d	(working copy)
@@ -217,7 +217,7 @@
 		this.gtkToolPalette = gtkToolPalette;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkToolPalette = cast(GtkToolPalette*)obj;
Index: src/gtk/RadioAction.d
===================================================================
--- src/gtk/RadioAction.d	(revision 843)
+++ src/gtk/RadioAction.d	(working copy)
@@ -115,7 +115,7 @@
 		this.gtkRadioAction = gtkRadioAction;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRadioAction = cast(GtkRadioAction*)obj;
Index: src/gtk/FontSelectionDialog.d
===================================================================
--- src/gtk/FontSelectionDialog.d	(revision 843)
+++ src/gtk/FontSelectionDialog.d	(working copy)
@@ -124,7 +124,7 @@
 		this.gtkFontSelectionDialog = gtkFontSelectionDialog;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkFontSelectionDialog = cast(GtkFontSelectionDialog*)obj;
Index: src/gtk/MenuShell.d
===================================================================
--- src/gtk/MenuShell.d	(revision 843)
+++ src/gtk/MenuShell.d	(working copy)
@@ -116,7 +116,7 @@
 		this.gtkMenuShell = gtkMenuShell;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkMenuShell = cast(GtkMenuShell*)obj;
Index: src/gtk/Style.d
===================================================================
--- src/gtk/Style.d	(revision 843)
+++ src/gtk/Style.d	(working copy)
@@ -146,7 +146,7 @@
 		this.gtkStyle = gtkStyle;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkStyle = cast(GtkStyle*)obj;
Index: src/gtk/HBox.d
===================================================================
--- src/gtk/HBox.d	(revision 843)
+++ src/gtk/HBox.d	(working copy)
@@ -109,7 +109,7 @@
 		this.gtkHBox = gtkHBox;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkHBox = cast(GtkHBox*)obj;
Index: src/gtk/Image.d
===================================================================
--- src/gtk/Image.d	(revision 843)
+++ src/gtk/Image.d	(working copy)
@@ -241,7 +241,7 @@
 		this.gtkImage = gtkImage;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkImage = cast(GtkImage*)obj;
Index: src/gtk/Widget.d
===================================================================
--- src/gtk/Widget.d	(revision 843)
+++ src/gtk/Widget.d	(working copy)
@@ -276,7 +276,7 @@
 		this.gtkWidget = gtkWidget;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkWidget = cast(GtkWidget*)obj;
Index: src/gtk/Invisible.d
===================================================================
--- src/gtk/Invisible.d	(revision 843)
+++ src/gtk/Invisible.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gtkInvisible = gtkInvisible;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkInvisible = cast(GtkInvisible*)obj;
Index: src/gtk/IMMulticontext.d
===================================================================
--- src/gtk/IMMulticontext.d	(revision 843)
+++ src/gtk/IMMulticontext.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gtkIMMulticontext = gtkIMMulticontext;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkIMMulticontext = cast(GtkIMMulticontext*)obj;
Index: src/gtk/TreeModelFilter.d
===================================================================
--- src/gtk/TreeModelFilter.d	(revision 843)
+++ src/gtk/TreeModelFilter.d	(working copy)
@@ -137,7 +137,7 @@
 		this.gtkTreeModelFilter = gtkTreeModelFilter;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTreeModelFilter = cast(GtkTreeModelFilter*)obj;
Index: src/gtk/GammaCurve.d
===================================================================
--- src/gtk/GammaCurve.d	(revision 843)
+++ src/gtk/GammaCurve.d	(working copy)
@@ -114,7 +114,7 @@
 		this.gtkGammaCurve = gtkGammaCurve;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkGammaCurve = cast(GtkGammaCurve*)obj;
Index: src/gtk/PrintJob.d
===================================================================
--- src/gtk/PrintJob.d	(revision 843)
+++ src/gtk/PrintJob.d	(working copy)
@@ -134,7 +134,7 @@
 		this.gtkPrintJob = gtkPrintJob;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkPrintJob = cast(GtkPrintJob*)obj;
Index: src/gtk/ProgressBar.d
===================================================================
--- src/gtk/ProgressBar.d	(revision 843)
+++ src/gtk/ProgressBar.d	(working copy)
@@ -140,7 +140,7 @@
 		this.gtkProgressBar = gtkProgressBar;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkProgressBar = cast(GtkProgressBar*)obj;
Index: src/gtk/Tooltip.d
===================================================================
--- src/gtk/Tooltip.d	(revision 843)
+++ src/gtk/Tooltip.d	(working copy)
@@ -155,7 +155,7 @@
 		this.gtkTooltip = gtkTooltip;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTooltip = cast(GtkTooltip*)obj;
Index: src/gtk/AboutDialog.d
===================================================================
--- src/gtk/AboutDialog.d	(revision 843)
+++ src/gtk/AboutDialog.d	(working copy)
@@ -162,7 +162,7 @@
 		this.gtkAboutDialog = gtkAboutDialog;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkAboutDialog = cast(GtkAboutDialog*)obj;
Index: src/gtk/StatusIcon.d
===================================================================
--- src/gtk/StatusIcon.d	(revision 843)
+++ src/gtk/StatusIcon.d	(working copy)
@@ -146,7 +146,7 @@
 		this.gtkStatusIcon = gtkStatusIcon;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkStatusIcon = cast(GtkStatusIcon*)obj;
Index: src/gtk/HButtonBox.d
===================================================================
--- src/gtk/HButtonBox.d	(revision 843)
+++ src/gtk/HButtonBox.d	(working copy)
@@ -120,7 +120,7 @@
 		this.gtkHButtonBox = gtkHButtonBox;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkHButtonBox = cast(GtkHButtonBox*)obj;
Index: src/gtk/Settings.d
===================================================================
--- src/gtk/Settings.d	(revision 843)
+++ src/gtk/Settings.d	(working copy)
@@ -145,7 +145,7 @@
 		this.gtkSettings = gtkSettings;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSettings = cast(GtkSettings*)obj;
Index: src/gtk/Separator.d
===================================================================
--- src/gtk/Separator.d	(revision 843)
+++ src/gtk/Separator.d	(working copy)
@@ -112,7 +112,7 @@
 		this.gtkSeparator = gtkSeparator;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkSeparator = cast(GtkSeparator*)obj;
Index: src/gtk/FileChooserWidget.d
===================================================================
--- src/gtk/FileChooserWidget.d	(revision 843)
+++ src/gtk/FileChooserWidget.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gtkFileChooserWidget = gtkFileChooserWidget;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkFileChooserWidget = cast(GtkFileChooserWidget*)obj;
Index: src/gtk/AccelLabel.d
===================================================================
--- src/gtk/AccelLabel.d	(revision 843)
+++ src/gtk/AccelLabel.d	(working copy)
@@ -173,7 +173,7 @@
 		this.gtkAccelLabel = gtkAccelLabel;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkAccelLabel = cast(GtkAccelLabel*)obj;
Index: src/gtk/Plug.d
===================================================================
--- src/gtk/Plug.d	(revision 843)
+++ src/gtk/Plug.d	(working copy)
@@ -121,7 +121,7 @@
 		this.gtkPlug = gtkPlug;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkPlug = cast(GtkPlug*)obj;
Index: src/gtk/PrintSettings.d
===================================================================
--- src/gtk/PrintSettings.d	(revision 843)
+++ src/gtk/PrintSettings.d	(working copy)
@@ -128,7 +128,7 @@
 		this.gtkPrintSettings = gtkPrintSettings;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkPrintSettings = cast(GtkPrintSettings*)obj;
Index: src/gtk/Adjustment.d
===================================================================
--- src/gtk/Adjustment.d	(revision 843)
+++ src/gtk/Adjustment.d	(working copy)
@@ -121,7 +121,7 @@
 		this.gtkAdjustment = gtkAdjustment;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkAdjustment = cast(GtkAdjustment*)obj;
Index: src/gtk/RecentChooserDialog.d
===================================================================
--- src/gtk/RecentChooserDialog.d	(revision 843)
+++ src/gtk/RecentChooserDialog.d	(working copy)
@@ -148,7 +148,7 @@
 		this.gtkRecentChooserDialog = gtkRecentChooserDialog;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRecentChooserDialog = cast(GtkRecentChooserDialog*)obj;
Index: src/gtk/Scrollbar.d
===================================================================
--- src/gtk/Scrollbar.d	(revision 843)
+++ src/gtk/Scrollbar.d	(working copy)
@@ -115,7 +115,7 @@
 		this.gtkScrollbar = gtkScrollbar;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkScrollbar = cast(GtkScrollbar*)obj;
Index: src/gtk/FileSelection.d
===================================================================
--- src/gtk/FileSelection.d	(revision 843)
+++ src/gtk/FileSelection.d	(working copy)
@@ -176,7 +176,7 @@
 		this.gtkFileSelection = gtkFileSelection;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkFileSelection = cast(GtkFileSelection*)obj;
Index: src/gtk/Scale.d
===================================================================
--- src/gtk/Scale.d	(revision 843)
+++ src/gtk/Scale.d	(working copy)
@@ -128,7 +128,7 @@
 		this.gtkScale = gtkScale;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkScale = cast(GtkScale*)obj;
Index: src/gtk/Table.d
===================================================================
--- src/gtk/Table.d	(revision 843)
+++ src/gtk/Table.d	(working copy)
@@ -122,7 +122,7 @@
 		this.gtkTable = gtkTable;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTable = cast(GtkTable*)obj;
Index: src/gtk/RadioToolButton.d
===================================================================
--- src/gtk/RadioToolButton.d	(revision 843)
+++ src/gtk/RadioToolButton.d	(working copy)
@@ -124,7 +124,7 @@
 		this.gtkRadioToolButton = gtkRadioToolButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkRadioToolButton = cast(GtkRadioToolButton*)obj;
Index: src/gtk/Frame.d
===================================================================
--- src/gtk/Frame.d	(revision 843)
+++ src/gtk/Frame.d	(working copy)
@@ -138,7 +138,7 @@
 		this.gtkFrame = gtkFrame;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkFrame = cast(GtkFrame*)obj;
Index: src/gtk/ActionGroup.d
===================================================================
--- src/gtk/ActionGroup.d	(revision 843)
+++ src/gtk/ActionGroup.d	(working copy)
@@ -170,7 +170,7 @@
 		this.gtkActionGroup = gtkActionGroup;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkActionGroup = cast(GtkActionGroup*)obj;
Index: src/gtk/PageSetup.d
===================================================================
--- src/gtk/PageSetup.d	(revision 843)
+++ src/gtk/PageSetup.d	(working copy)
@@ -162,7 +162,7 @@
 		this.gtkPageSetup = gtkPageSetup;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkPageSetup = cast(GtkPageSetup*)obj;
Index: src/gtk/MenuToolButton.d
===================================================================
--- src/gtk/MenuToolButton.d	(revision 843)
+++ src/gtk/MenuToolButton.d	(working copy)
@@ -129,7 +129,7 @@
 		this.gtkMenuToolButton = gtkMenuToolButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkMenuToolButton = cast(GtkMenuToolButton*)obj;
Index: src/gtk/Item.d
===================================================================
--- src/gtk/Item.d	(revision 843)
+++ src/gtk/Item.d	(working copy)
@@ -109,7 +109,7 @@
 		this.gtkItem = gtkItem;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkItem = cast(GtkItem*)obj;
Index: src/gtk/HRuler.d
===================================================================
--- src/gtk/HRuler.d	(revision 843)
+++ src/gtk/HRuler.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gtkHRuler = gtkHRuler;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkHRuler = cast(GtkHRuler*)obj;
Index: src/gtk/Progress.d
===================================================================
--- src/gtk/Progress.d	(revision 843)
+++ src/gtk/Progress.d	(working copy)
@@ -113,7 +113,7 @@
 		this.gtkProgress = gtkProgress;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkProgress = cast(GtkProgress*)obj;
Index: src/gtk/ComboBox.d
===================================================================
--- src/gtk/ComboBox.d	(revision 843)
+++ src/gtk/ComboBox.d	(working copy)
@@ -152,7 +152,7 @@
 		this.gtkComboBox = gtkComboBox;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkComboBox = cast(GtkComboBox*)obj;
Index: src/gtk/Calendar.d
===================================================================
--- src/gtk/Calendar.d	(revision 843)
+++ src/gtk/Calendar.d	(working copy)
@@ -119,7 +119,7 @@
 		this.gtkCalendar = gtkCalendar;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCalendar = cast(GtkCalendar*)obj;
Index: src/gtk/ToolButton.d
===================================================================
--- src/gtk/ToolButton.d	(revision 843)
+++ src/gtk/ToolButton.d	(working copy)
@@ -129,7 +129,7 @@
 		this.gtkToolButton = gtkToolButton;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkToolButton = cast(GtkToolButton*)obj;
Index: src/gtk/ObjectGtk.d
===================================================================
--- src/gtk/ObjectGtk.d	(revision 843)
+++ src/gtk/ObjectGtk.d	(working copy)
@@ -170,7 +170,7 @@
 		this.gtkObject = gtkObject;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkObject = cast(GtkObject*)obj;
Index: src/gtk/TextBuffer.d
===================================================================
--- src/gtk/TextBuffer.d	(revision 843)
+++ src/gtk/TextBuffer.d	(working copy)
@@ -177,7 +177,7 @@
 		this.gtkTextBuffer = gtkTextBuffer;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkTextBuffer = cast(GtkTextBuffer*)obj;
Index: src/gtk/Label.d
===================================================================
--- src/gtk/Label.d	(revision 843)
+++ src/gtk/Label.d	(working copy)
@@ -236,7 +236,7 @@
 		this.gtkLabel = gtkLabel;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkLabel = cast(GtkLabel*)obj;
Index: src/gtk/Notebook.d
===================================================================
--- src/gtk/Notebook.d	(revision 843)
+++ src/gtk/Notebook.d	(working copy)
@@ -158,7 +158,7 @@
 		this.gtkNotebook = gtkNotebook;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkNotebook = cast(GtkNotebook*)obj;
Index: src/gtk/MountOperation.d
===================================================================
--- src/gtk/MountOperation.d	(revision 843)
+++ src/gtk/MountOperation.d	(working copy)
@@ -131,7 +131,7 @@
 		this.gtkMountOperation = gtkMountOperation;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkMountOperation = cast(GtkMountOperation*)obj;
Index: src/gtk/CellRendererPixbuf.d
===================================================================
--- src/gtk/CellRendererPixbuf.d	(revision 843)
+++ src/gtk/CellRendererPixbuf.d	(working copy)
@@ -122,7 +122,7 @@
 		this.gtkCellRendererPixbuf = gtkCellRendererPixbuf;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkCellRendererPixbuf = cast(GtkCellRendererPixbuf*)obj;
Index: src/gtk/ColorSelection.d
===================================================================
--- src/gtk/ColorSelection.d	(revision 843)
+++ src/gtk/ColorSelection.d	(working copy)
@@ -117,7 +117,7 @@
 		this.gtkColorSelection = gtkColorSelection;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkColorSelection = cast(GtkColorSelection*)obj;
Index: src/gtk/DrawingArea.d
===================================================================
--- src/gtk/DrawingArea.d	(revision 843)
+++ src/gtk/DrawingArea.d	(working copy)
@@ -171,7 +171,7 @@
 		this.gtkDrawingArea = gtkDrawingArea;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkDrawingArea = cast(GtkDrawingArea*)obj;
Index: src/gtk/WindowGroup.d
===================================================================
--- src/gtk/WindowGroup.d	(revision 843)
+++ src/gtk/WindowGroup.d	(working copy)
@@ -111,7 +111,7 @@
 		this.gtkWindowGroup = gtkWindowGroup;
 	}
 	
-	protected void setStruct(GObject* obj)
+	protected override void setStruct(GObject* obj)
 	{
 		super.setStruct(obj);
 		gtkWindowGroup = cast(GtkWindowGroup*)obj;
